Description

When I've tried to execute a feature.getDate(i) of a null-value, I got this exception:

java.lang.NullPointerException
    at org.gvsig.tools.dataTypes.impl.coercion.AbstractCoerceToDate.coerce(AbstractCoerceToDate.java:45)
    at org.gvsig.tools.dataTypes.impl.DefaultDataType.coerce(DefaultDataType.java:39)
    at org.gvsig.tools.dataTypes.impl.DefaultDataTypesManager.coerce(DefaultDataTypesManager.java:188)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeature.get(DefaultFeature.java:142)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeature.getDate(DefaultFeature.java:361)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeature.getDate(DefaultFeature.java:357)

This method should return a null for a null value.

This patch solves the problem.

History
#1 - 11/20/2013 05:57 PM - Joaquín  del Cerro Murciano
- Assignee set to Joaquín  del Cerro Murciano
- Target version set to 2.1.0-2223-rc1

#2 - 11/20/2013 06:15 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

fixed in revision gvsig-tools:r962

#3 - 01/13/2014 09:41 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2223-rc1 to 2.1.0-2217-devel

#4 - 01/27/2014 04:59 PM - Álvaro Anguix
- Status changed from Fixed to Closed
